Scrum - Defect #979

Task board error when a task hours value is nil
2015-02-17 18:02 - Emilio Gonzalez Montaia

Status: Resolved

Priority: Normal

Category: Sprint board

Target version: Scrum v0.10.0

Source: Customer Blocked:
Detected on version: Scrum v0.10.0 Alone:
Description

Log of the error:

ActionView: :Template::Error (undefined method “+' for nil:NilClass):

10: <%= link_to "", edit_task_path(task),

11: :remote => true, :method => "GET", :class => "icon icon-edit float-i
con" %>

12: <%- end -%>

13: <%= render_issue_icons (task) %>

14: <%= link_to_issue(task, :tracker => false, :truncate => 100) %>

15: <div class="doers-reviewers-post-its-container">

16: <%- task.doers.each do |doer| -%>

plugins/scrum/lib/scrum/issue_patch.rb:165:in “deviation_ratio'

plugins/scrum/app/helpers/scrum_helper.rb:62:in "“render_issue_icons'

plugins/scrum/app/views/post_its/sprint_board/_task.html.erb:13:in " _plugins_scrum_app_views_pos
t_its_sprint_board__task_html_erb_ 1973264963930195093_36184260"

Subtasks:
To do # 980: Add checks before access hour values in task deviation algorithm Resolved

History

#1 - 2015-02-17 18:04 - Emilio Gonzalez Montaina

- Status changed from New to Resolved

#2 - 2015-04-26 11:23 - Emilio Gonzalez Montana
- Category set to Sprint board
